#ifndef DATA_COOLANT_H
#define DATA_COOLANT_H

#include "stdint.h"


typedef enum{
    FuelSensorNormal = 0,
    FuelSensorShortCircuit,
    FuelSensorOpenCircuit,
}FuelSensorSts_t;
    
extern void Fuel_KL15_Init(void);
extern void Fuel_KL30_Init(void);
extern void Fuel_Cal_Sevice(uint8_t deltaTime);
extern uint8_t Get_CurFuelSetp(void);
extern FuelSensorSts_t Get_Fuel_Sensor_State(void);
void Fuel_R_Cal(uint8_t deltaTime);
#endif
